> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop inference deployment

> This operation shuts down an inference deployment, making it unavailable for handling requests.
The deployment will scale down to **0** replicas, overriding any minimum replica settings.

- Once stopped, the deployment will **not** process any inference requests or SQS messages.
- It will **not** restart automatically and must be started manually.
- While stopped, the deployment will **not** incur any charges.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml post /cloud/v3/inference/{project_id}/deployments/{deployment_name}/stop
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 2978be3a5492
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v3/inference/{project_id}/deployments/{deployment_name}/stop:
    post:
      tags:
        - Everywhere Inference
      summary: Stop inference deployment
      description: >-
        This operation shuts down an inference deployment, making it unavailable
        for handling requests.

        The deployment will scale down to **0** replicas, overriding any minimum
        replica settings.


        - Once stopped, the deployment will **not** process any inference
        requests or SQS messages.

        - It will **not** restart automatically and must be started manually.

        - While stopped, the deployment will **not** incur any charges.
      operationId: InferenceInstanceStopHandlerV3.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: deployment_name
          required: true
          description: Inference instance name.
          schema:
            description: Inference instance name.
            example: my-instance
            examples:
              - my-instance
            title: Deployment Name
            type: string
      responses:
        '204':
          description: No Content
components:
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````